# 특정 환경에 따라 추가
/private/
/publish/
/bin/
/obj/

./private/
./privacy/
./publish/
./bin/


# 노드 관련
node_modules/
package-lock.json



# 기본 파일 및 폴더 제외
*.log
*.env
*.bak
*.tmp
*.swp

# macOS 관련 파일 제외
._
._*
.DS_Store
.AppleDouble
.LSOverride
.Spotlight-V100
.Trashes

# Windows 관련
Thumbs.db
ehthumbs.db
desktop.ini

# Visual Studio 관련
.vscode/
.vs/
*.suo
*.user
*.userosscache
*.sln.docstates

# Rider 관련
.idea/
*.sln.iml

# .NET 관련
bin/
obj/
*.pdb
*.dll
*.exe
*.nuget/

# Blazor 관련
**/wwwroot/_framework/

# Docker 관련
docker-compose.override.yml
Dockerfile

# 기타 캐시 파일
**/*.cache
**/*.tmp